Page 1 of 7

[RC] Support of SQLite 3.0+

Posted: Thu Jul 10, 2008 10:01 pm
by Boris Berdichevski
MOD Title: Support of SQLite 3.0+
MOD Description: Add DB manager of SQLite 3.0+ for phpBB 3.0.x

MOD Version: 1.1
Tested for phphBB version: 3.0.9
php version - from 5.3.x
Example of MOD using: My Forum (russian)

MOD Download: SQLite3.0_MOD_5.3.x_for_309.zip
MOD Download Size: 46,460 bytes
Date & Time: Thursday, December 29, 2011 22:47
History: 29-Dec-2011 fix of bug - queries fail because DB locked
Additional Download: SQLite 3.0 DLLs complete (for MS Windows only)
Update from 3.0.8 to 3.0.9: SQLite3.0_MOD_update_to_309.zip
Update from 3.0.9 to 3.0.10: SQLite3.0_MOD_update_to_310.zip
Update to 3.0.11: SQLite3.0_MOD_update_to_311.zip
Update to 3.0.12:
Use phpBB-3.0.11_to_3.0.12-SQLite3.zip instead phpBB-3.0.11_to_3.0.12.zip

Tested for versions:
OS: MS Windows
php version: 5.4.8

You don't use the MOD for convert "live" Forum from SQLite 2.0 to SQLite 3.0, only for first installation.
If you need convert DB, please install a new Forum with the MOD & convert DB using standard utilities.
If you use the MOD, and there's Upgrade patch for next phpBB version, you must to modify Upgrade patch before run it, see Update from 3.0.8 to 3.0.9.

Re: [RC] Support of SQLite 3.0+

Posted: Sun Jul 13, 2008 8:32 pm
by Boris Berdichevski
Upgrade to phpBB 3.0.2 :|

Re: [RC] Support of SQLite 3.0+

Posted: Mon Aug 11, 2008 4:27 pm
by Boris Berdichevski
I didn't find any problem. I change MOD's status to RC (release candidate).

Re: [RC] Support of SQLite 3.0+

Posted: Sat Nov 22, 2008 9:32 pm
by Boris Berdichevski
About pbpBB 3.0.3
You cannot upgrade DB of this MOD using standard phpBB-3.0.2_to_3.0.3 patch cause database_update.php script doesn't know about sqlite 3.0+
Please use modified patch:

Re: [RC] Support of SQLite 3.0+

Posted: Thu Dec 18, 2008 12:08 am
by Boris Berdichevski
Upgrade:

Re: [RC] Support of SQLite 3.0+

Posted: Thu Dec 18, 2008 10:27 pm
by Boris Berdichevski
You can simple replace sqlite DLL to new version. Download it from SQLite size and replace into
%WINDOWS%/System32. Don't forget restart Apache or your server.

Re: [RC] Support of SQLite 3.0+

Posted: Sun Mar 08, 2009 11:26 pm
by Boris Berdichevski
You can upgrade version of PHP too. To use PHP 5.2.9 please replace php_sqlite3.dll from

Re: [RC] Support of SQLite 3.0+

Posted: Sat Mar 14, 2009 10:54 pm
by Boris Berdichevski
php_sqlite3.dll for php 5.2.9 added to package. sqlite3.dll updated to v.3.6.11.

Re: [RC] Support of SQLite 3.0+

Posted: Fri Jun 05, 2009 12:47 pm
by Boris Berdichevski
For phpBB 3.0.5:
  • Download standard Update Package (for exam. phpBB-3.0.4_to_3.0.5.zip )
  • Replace files install/database_update.php and docs/INSTALL.html from

Re: [RC] Support of SQLite 3.0+

Posted: Mon Nov 30, 2009 10:40 am
by Boris Berdichevski
Support phpBB 3.0.6:

Before upgrade replace files install/database_update.php and docs/INSTALL.html from


Full version 3.0.6 (english)


Sqlite3 DLLs (addition files for phpBB 3.0.6 sqlite3 full)

Re: [Final] Support of SQLite 3.0+

Posted: Wed Mar 03, 2010 9:55 pm
by Boris Berdichevski
Support phpBB 3.0.7-PL1:

Before upgrade replace files install/database_update.php and docs/INSTALL.html from


Both from 3.0.6 to 3.0.7-PL1 or from 3.0.7 to 3.0.7-PL1

Re: [Final] Support of SQLite 3.0+

Posted: Wed Mar 03, 2010 10:43 pm
by Peter77sx
Hello, which one of those links is the main download? Will this be handled via my ACP?

thanks :)

Re: [Final] Support of SQLite 3.0+

Posted: Wed Mar 03, 2010 10:45 pm
by igorw
Hey there! This is a nice MOD. I do wonder why you are distributing it as a whole phpBB3 package and not just the changed files (and a diff). That would save a ton of disk space.

Considering the MySQL native driver that was included with phpBB 3.0.7, you might actually want to give this a shot and submit it to the bug tracker. The dev team might want to include it in phpBB 3.0.8.

This may be my personal preference, but imo sqlite3 looks better than sqlite_3.

Re: [Final] Support of SQLite 3.0+

Posted: Sat Mar 06, 2010 6:44 pm
by Boris Berdichevski
Peter77sx wrote:Hello, which one of those links is the main download? Will this be handled via my ACP?

thanks :)
If you start to create your Forum, you must download my links Version phpBB 3.0.6 English (without sqlite3 DLLs) & Sqlite3 DLLs
After first install you should upgrade your Forum from 3.0.6 to 3.0.7-PL1 using standard upgrade package, but before upgrade to replace 2 files from my link Files to replace in standard upgrade: ... 3.0.7-PL1

If you have any Forum already using SQLite 2.0, you should convert DB to SQLite 3.0 format first. Sorry, but my mode haven't any merge script, you should merge files manually, using Araxis.

Re: [Final] Support of SQLite 3.0+

Posted: Sat Mar 06, 2010 7:01 pm
by Boris Berdichevski
eviL<3,
I didn't check if my MOD make degradation for users of SQLite 2.0...

SQLite 3.0+ for UNIX didn't checked too...